import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  color: Animatable("#66BB66"),
  label: "ON",
  toggle: true
});

export const Label: Override = () => {
  return {
    text: data.label
  };
};

export const Toggle: Override = () => {
  return {
    background: data.color,
    onTap() {
      let animateToColor = "";
      if (data.toggle) {
        animateToColor = "red";
      } else {
        animateToColor = "green";
      }
      animate(data.color, animateToColor);
      data.toggle = !data.toggle;

      data.label = "OFF";
    }
  };
};

// export const FlipInput: Override = () => {
//   return {
//     onTap() {
//       const toggle = data.toggle;
//       animate.spring(
//         { rotationY: data.rotationY },
//         {
//           rotationY: toggle ? 360 : 0
//         },
//         { tension: 200, friction: 20 }
//       );
//       data.toggle = !toggle;
//     }
//   };
// };
