import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  xPosBlockA: Animatable(40),
  xPosBlockB: Animatable(40),
  xPosBlockC: Animatable(40),
  xPosBlockD: Animatable(40),
  xPosBlockE: Animatable(40)
});

export const BlockA: Override = props => {
  return {
    left: data.xPosBlockA
  };
};

export const BlockB: Override = props => {
  return {
    left: data.xPosBlockB
  };
};

export const BlockC: Override = props => {
  return {
    left: data.xPosBlockC
  };
};

export const BlockD: Override = props => {
  return {
    left: data.xPosBlockD
  };
};

export const BlockE: Override = props => {
  return {
    left: data.xPosBlockE
  };
};

export const StaggeredAnimation: Override = props => {
  return {
    async onTap() {
      // First animation – starts right away
      animate(data.xPosBlockA, 234);
      // Second animation – after a 0.2 second delay
      await animate.ease(Animatable(0), 1, { duration: 0.2 }).finished;
      animate(data.xPosBlockB, 234);
      // Third animation – after another 0.2 second delay
      await animate.ease(Animatable(0), 1, { duration: 0.2 }).finished;
      animate(data.xPosBlockC, 234);
      // Fourth animation – after yet another 0.2 second delay
      await animate.ease(Animatable(0), 1, { duration: 0.2 }).finished;
      animate(data.xPosBlockD, 234);
      // Fifth animation – after one more 0.2 second delay
      await animate.ease(Animatable(0), 1, { duration: 0.2 }).finished;
      animate(data.xPosBlockE, 234);
    }
  };
};
