import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPositionLeftBlock: Animatable(0),
  yPositionRightBlock: Animatable(0)
});

export const DelayedAnimation_1: Override = props => {
  data.yPositionLeftBlock.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPositionLeftBlock,
    async onTap() {
      await animate(data.yPositionLeftBlock, 620).finished;
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.yPositionLeftBlock, startPosition);
    }
  };
};

// const dummy = Animatable(0);
// await animate.ease(dummy, 1, { duration: 0.1 }).finished;

export const DelayedAnimation_2: Override = props => {
  data.yPositionRightBlock.set(props.top);
  const startPosition = props.top;
  return {
    top: data.yPositionRightBlock,
    async onTap() {
      animate(data.yPositionRightBlock, 620).finished;
      setTimeout(() => {
        animate(data.yPositionRightBlock, startPosition);
      }, 500);
    }
  };
};
