import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  xPosBlockA: Animatable(40),
  xPosBlockB: Animatable(40),
  xPosBlockC: Animatable(40),
  xPosBlockD: Animatable(40),
  xPosBlockE: Animatable(40)
});

export const BlockA: Override = props => {
  return {
    left: data.xPosBlockA
  };
};

export const BlockB: Override = props => {
  return {
    left: data.xPosBlockB
  };
};

export const BlockC: Override = props => {
  return {
    left: data.xPosBlockC
  };
};

export const BlockD: Override = props => {
  return {
    left: data.xPosBlockD
  };
};

export const BlockE: Override = props => {
  return {
    left: data.xPosBlockE
  };
};

export const StaggeredAnimation: Override = props => {
  return {
    async onTap() {
      animate(data.xPosBlockA, 234).finished;
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.xPosBlockB, 234);
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.xPosBlockC, 234);
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.xPosBlockD, 234);
      await animate.ease(Animatable(0), 1, { duration: 0.3 }).finished;
      animate(data.xPosBlockE, 234);
    }
  };
};

// const dummy = Animatable(0);
// await animate.ease(dummy, 1, { duration: 0.1 }).finished;

// export const DelayedAnimation_2: Override = props => {
//   data.yPositionRightBlock.set(props.top);
//   const startPosition = props.top;
//   return {
//     top: data.yPositionRightBlock,
//     async onTap() {
//       animate(data.yPositionRightBlock, 620).finished;
//       setTimeout(() => {
//         animate(data.yPositionRightBlock, startPosition);
//       }, 500);
//     }
//   };
// };
