import { Data, animate, Override, Animatable } from "framer";

const data = Data({
  yPosition: Animatable(0)
});

export const ButtonText: Override = () => {
  return {
    text: data.label
  };
};

export const Button: Override = () => {
  return {
    background: data.color,
    onTap() {
      let animateToColor = "";
      if (data.toggle) {
        animateToColor = "red";
        data.label = "OFF";
      } else {
        animateToColor = "green";
        data.label = "ON";
      }
      animate(data.color, animateToColor);
      data.toggle = !data.toggle;
    }
  };
};
